# Installation

/// admonition | This project is in active development.
    type: danger
There has not been an official release of PyZipline on PyPi yet, meaning these installation docs don't work.
///

## pip

You can use pip to install PyZipline.  
The command to use differs slightly depending on what OS/Distro you use.

On Windows:

``` prolog title="Command Prompt"
py -m pip install -U pyzipline
```

On macOS and Linux:

``` prolog title="Bash"
python3 -m pip install pyzipline
```

## Poetry

You can also use [Poetry](https://python-poetry.org/) to store your dependencies. Add PyZipline to your `pyproject.toml` file manually, or use this command:

``` prolog title="Command Prompt / Shell"
poetry add pyzipline
```
